Module org.jfree.chart3d
Package org.jfree.chart3d.table

# Interface ContainerElement

All Superinterfaces:
  `TableElement`

All Known Implementing Classes:
  `FlowElement`, `VerticalFlowElement`

public interface ContainerElement extends TableElement
A `TableElement` that contains other elements (provides the `addElement()` method).

Since:
  1.1

## Field Summary

### Fields inherited from interface org.jfree.chart3d.table.TableElement

`CLASS`

## Method Summary

Modifier and Type
Method
Description
`void`
`addElement(TableElement element)`
Adds a sub-element to the container element.

### Methods inherited from interface org.jfree.chart3d.table.TableElement

`draw, draw, getProperty, getRefPoint, layoutElements, preferredSize, preferredSize, receive, setProperty`

## Method Details

### addElement

void addElement(TableElement element)
Adds a sub-element to the container element.

Parameters:
  `element` - the element (`null` not permitted).